Subject: bug#22739: 25.0.50; Hangs on revertig buffer

From: Óscar Fuentes <[email-masked]>
Date: Fri, 19 Feb 2016 13:44:41 +0100

Eli Zaretskii <[email-masked]> writes:

> It sounds like Emacs was inflooping somewhere.  When there's a
> suspicion that Emacs infloops, the single most important information
> is where it loops.  The file etc/DEBUG describes a technique to find
> that out (search for "If the symptom of the bug is that Emacs fails to
> respond").  So next time this happens, please use that technique and
> post the findings.

I still have the gdb session running. Will try the `finish' trick later.

> What is in the buffer that visits this file between positions 282624
> and 330908?  Are there any display strings or overlays in that range,
> or some other properties that affect the display (like invisible
> text), and if so, can you describe them?

The buffer is visiting a pure ASCII file in Fundamental mode. There is
nothing special about it. The longest line is about 105 chars wide.